/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 历史使用组件列表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-11-03 17:02:02  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "历史使用组件列表")
public class HisUseComponent extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_comId = "comId";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_recordType = "recordType";
  public static final String KEY_comType = "comType";
  public static final String KEY_orderSeq = "orderSeq";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 使用组件id<br>
   */
  @ApiModelProperty("使用组件id")
  @Size(max = 32, message="使用组件id-comId: 数据长度不能 > 32" )
  private String comId;
  /**
   * 系统空间<br>
   */
  @ApiModelProperty("系统空间")
  @Size(max = 32, message="系统空间-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * 录制类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios<br>
   */
  @ApiModelProperty("录制类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios")
  private Integer recordType;
  /**
   * 组件类别，0-基础，1-业务<br>
   */
  @ApiModelProperty("组件类别，0-基础，1-业务")
  private Integer comType;
  /**
   * 顺序<br>
   */
  @ApiModelProperty("顺序")
  private Integer orderSeq;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 修改人<br>
   */
  @ApiModelProperty("修改人")
  @Size(max = 32, message="修改人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;
  /**
   * 租户<br>
   */
  @ApiModelProperty("租户")
  @Size(max = 32, message="租户-tenantId: 数据长度不能 > 32" )
  private String tenantId;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 使用组件id<br>
   */
  public String getComId()
  {
      return comId;
    }

  /**
   * 使用组件id<br>
   *
   * @param comId 使用组件id
   */
  public void setComId(String comId)
  {
      this.comId = comId;
    }
  /**
   * 系统空间<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统空间<br>
   *
   * @param projectId 系统空间
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 录制类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios<br>
   */
  public Integer getRecordType()
  {
      return recordType;
    }

  /**
   * 录制类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios<br>
   *
   * @param recordType 录制类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios
   */
  public void setRecordType(Integer recordType)
  {
      this.recordType = recordType;
    }
  /**
   * 组件类别，0-基础，1-业务<br>
   */
  public Integer getComType()
  {
      return comType;
    }

  /**
   * 组件类别，0-基础，1-业务<br>
   *
   * @param comType 组件类别，0-基础，1-业务
   */
  public void setComType(Integer comType)
  {
      this.comType = comType;
    }
  /**
   * 顺序<br>
   */
  public Integer getOrderSeq()
  {
      return orderSeq;
    }

  /**
   * 顺序<br>
   *
   * @param orderSeq 顺序
   */
  public void setOrderSeq(Integer orderSeq)
  {
      this.orderSeq = orderSeq;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 修改人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 修改人<br>
   *
   * @param updatedBy 修改人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 租户<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户<br>
   *
   * @param tenantId 租户
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public HisUseComponent()
  {
  }

}
